Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/diffbot/people-enrich?phone=example&refresh=false&search=false&size=1&type=Person' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/diffbot/people-enrich \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/diffbot/people-enrich"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/diffbot/people-enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/diffbot/people-enrich",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/diffbot/people-enrich"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/diffbot/people-enrich")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/diffbot/people-enrich")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyDiffbot
Enrich a person by name, email or employer
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0299 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
diffbot
/
people-enrich
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/diffbot/people-enrich?phone=example&refresh=false&search=false&size=1&type=Person' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/diffbot/people-enrich \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/diffbot/people-enrich"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/diffbot/people-enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/diffbot/people-enrich",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/diffbot/people-enrich"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/diffbot/people-enrich")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/diffbot/people-enrich")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: GET /apis/v1/diffbot/people-enrich
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/diffbot/people-enrich - phone: query; 必填
- refresh: query; 必填
- search: query; 必填
- size: query; 必填
- type: query; 必填
- Runtime 事实版本: d78914f079e5a912cd4286caca58607a2dba8a4521f8e7b128b5fda999b961a0
{
"operationId": "diffbot.people-enrich",
"method": "GET",
"path": "/apis/v1/diffbot/people-enrich",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"examples": {
"default": {
"value": "example"
},
"minimal": {
"value": "example"
}
},
"in": "query",
"name": "phone",
"required": true,
"schema": {
"minLength": 1,
"type": "string"
}
},
{
"examples": {
"default": {
"value": false
},
"minimal": {
"value": false
}
},
"in": "query",
"name": "refresh",
"required": true,
"schema": {
"enum": [
false
],
"type": "boolean"
}
},
{
"examples": {
"default": {
"value": false
},
"minimal": {
"value": false
}
},
"in": "query",
"name": "search",
"required": true,
"schema": {
"enum": [
false
],
"type": "boolean"
}
},
{
"examples": {
"default": {
"value": 1
},
"minimal": {
"value": 1
}
},
"in": "query",
"name": "size",
"required": true,
"schema": {
"maximum": 100,
"minimum": 1,
"type": "integer"
}
},
{
"examples": {
"default": {
"value": "Person"
},
"minimal": {
"value": "Person"
}
},
"in": "query",
"name": "type",
"required": true,
"schema": {
"enum": [
"Person"
],
"minLength": 1,
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0299,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0299 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0299
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 结算证据来源: response_header
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Minimum string length:
1可用选项:
false 可用选项:
false 必填范围:
1 <= x <= 100可用选项:
Person Minimum string length:
1响应
成功响应